'Demo.vb : 
'GDSIIExporter
'Copyright  2001-2005 Easy Math Solution. All Rights Reserved
'http://www.e-MathSolution.com
'For details contact us: info@e-MathSolution.com



Module Module1

    Sub Main()
        Dim xar() As Integer = {0, 1100, 0}
        Dim yar() As Integer = {0, 0, 1000}
        Dim x() As Integer = {110, 210, 327, 200, 600, 700, 880, 1000}
        Dim y() As Integer = {0, 100, 250, 150, 300, 440, 900, 800}
        Dim xb() As Integer = {110, 210, 327, 550}
        Dim yb() As Integer = {0, 200, 250, 170}
        Dim gds As EMS.GDSIIExporter


        gds = New EMS.GDSIIExporter()
        Try
            gds.BeginLib("ems.gds", 0.001, 0.000000001)
            gds.BeginStructure("str2")
            gds.Aref("ur11", xar, yar, 5, 4, 0, 1, 0, 0, 0)
            gds.EndStructure()


            gds.BeginStructure("ur11")
            gds.Box(0, 0, 200, 200, 0, 0, 0, 0)
            gds.EndStructure()

            gds.BeginStructure("str1")
            gds.Box(105, 105, 205, 205, 0, 10, 0, 0)
            gds.BoxWH(250, 105, 200, 300, 0, 10, 0, 0)
            gds.Square(500, 105, 400, 0, 0, 0, 0)

            gds.Path(x, y, 10, 1, 63, EMS.GDSIIExporter.PATHTYPE1, 0, EMS.GDSIIExporter.PLEX_HEAD)

            gds.Boundary(xb, yb, 1, 61, 0, 0)
            gds.Text(100, 100, "Easy Math Solution", 1, 4, _
            EMS.GDSIIExporter.PRESENT_HCENTER Or EMS.GDSIIExporter.PRESENT_VBOTTOM, _
             EMS.GDSIIExporter.PATHTYPE1, 0, EMS.GDSIIExporter.STRANS_0, 0.1, 0, 0, 0)

            gds.Text(100, 300, "GDSIIExporter", 1, 4, _
                 EMS.GDSIIExporter.PRESENT_HCENTER Or EMS.GDSIIExporter.PRESENT_VBOTTOM, _
                 EMS.GDSIIExporter.PATHTYPE1, 0, EMS.GDSIIExporter.STRANS_0, _
                 0.1, 0, 0, 0)
            gds.Text(100, 500, "Copyright EMS XXI", 1, 4, _
             EMS.GDSIIExporter.PRESENT_HLEFT Or EMS.GDSIIExporter.PRESENT_VBOTTOM, _
             EMS.GDSIIExporter.PATHTYPE1, 0, EMS.GDSIIExporter.STRANS_0, _
             0.05, 45, 0, 0)

            gds.Circle(1500, 1000, 1000, 150, 0, 0, 0, 0)
            gds.Circle(1000, 1500, 1000, 7, 0, 0, 0, 0)

            gds.Arc(100, 150, 1000, 45, 178, 135, 40, 0, 0, EMS.GDSIIExporter.PATHTYPE1, 0, 0)
            gds.Arc(400, 300, 600, 120, 270, 100, 40, 0, 0, EMS.GDSIIExporter.PATHTYPE2, 0, 0)
            gds.Sector(1000, 1500, 1050, 30, 185, 100, 0, 0, 0, 0)
            gds.Sector(1000, 1000, 800, 120, 290, 199, 0, 0, 0, 0)
            gds.Square(500, 500, 400, 0, 0, 0, 0)
            gds.EndStructure()

            gds.EndLib()

        Catch e As EMS.GDSIIException
            Console.WriteLine("GDSIIException Handler: {0}", e.ToString())
        End Try

    End Sub

End Module
